Lock Policy

PUT /pcas/v3/policy/lock/

Using this API, you can lock or unlock compliance policies.

Ensure to evaluate the policy after making any changes to the policy. 

Input ParametersInput Parameters

Parameter

Required/Optional

Data Type

Description

policyId={value} Required Integer The ID of the policy you want to lock or unlock.
isLocked={0 or false|1 or true} Required Boolean Use this parameter to lock the policy. Specify 1 or true to lock the policy. Specify 0 or false to unlock the policy.

Sample - Lock policySample - Lock policy

API Request

curl -X 'PUT' \ '<qualys_base_url>/pcas/v3/policy/lock' 
\ -H 'accept: */*' 
\ -H 'Authorization: Bearer <Auth Token>' 
\ -H 'Content-Type:application/json' 
\ -d '{ "policyId":<policyId> , "isLocked": <Boolean True / False>}'

XML Output

204


 

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.